body {
    background-image: url("../imgs/bgimg/031a.jpg"); /* 相対パスを修正 */
    background-size: cover;
    background-repeat: no-repeat;
    text-align: center;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

/* ヘッダー */
header {
    background-color: #f8f8f8;
    padding: 20px 0;
}

header .container {
    max-width: 1200px;
}

header .row {
    align-items: center;
}

header .navbar {
    justify-content: flex-end;
}

header .navbar-nav {
    display: flex;
}

header .navbar-nav .nav-item {
    margin-left: 20px;
}

header .navbar-nav .nav-link {
    color: #333;
    transition: color 0.3s ease;
}

header .navbar-nav .nav-link:hover {
    color: #007bff;
}

header img {
    max-width: 100%; /* 横幅100%に設定 */
    height: auto; /* 高さを自動調整 */
    transition: transform 0.3s ease;
}

header img:hover {
    transform: scale(1.1);
}

header p {
    margin-top: 10px;
    text-align: center;
}

.header-line {
    border-top: 3px solid #ccc;
    margin: 20px 0;
}

/* メインメニュー */
.main-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.main-menu ul {
    display: flex;
    padding: 10px;
    background-color: #f0f0f0;
    justify-content: flex-end;
    border-bottom: 2px solid #ccc;
}

.main-menu li {
    margin-left: 20px;
    border-right: 1px solid #ccc;
    padding-right: 20px;
}

.main-menu li:last-child {
    border-right: none;
}

.main-menu a {
    color: #333;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 20px;
    border: none;
    background-color: transparent;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.main-menu a:hover {
    background-color: #ddd;
    color: #007bff;
}

/* サブメニュー */
.sub-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: flex-end;
    position: relative;
    top: -20px;
}

.sub-menu li {
    margin-left: 20px;
}

.sub-menu a {
    color: #fff;
    font-size: 14px;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 5px 10px;
    border-radius: 5px;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.sub-menu a:hover {
    background-color: rgba(0, 0, 0, 0.7);
    color: #007bff;
}

/* メインコンテンツ */
main {
    padding: 20px;
    flex: 1;
}

section {
    padding: 50px 0;
    text-align: center;
}

.container {
    max-width: 960px;
}

.section-table {
    width: 65%;
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.6);
}

.section-table td {
    padding: 30px;
}

.section-line {
    border-top: 2px solid #fff;
    width: 65%;
    margin: 20px auto;
}

.section-table p {
    font-weight: normal;
}



.target-cell {
  /* background-color: #06C; 背景色をライトグレーに設定 */
  color: #FFFFFF;
  font-size: 24px;
  padding: 5px 10px 5px 25px;
  text-align:left;
}



/* フッター */
footer {
    background-color: #333;
    color: #fff;
    padding: 20px;
    text-align: center;
}

/* ロゴアニメーション */
.logo-animation {
    display: block;
    margin: 0 auto;
    width: 100%;
    height: auto;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.logo-animation:hover {
    transform: scale(1.1);
}

/*代表理事画像入りTable start*/
.interactive-cell {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 20px;
}

.image-container {
    width: 30%;
    text-align: center;
}

.representative-image {
    max-width: 100%;
    height: auto;
    border-radius: 50%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.representative-image:hover {
    transform: scale(1.1);
}

.text-container {
    width: 70%;
    padding-left: 20px;
}

.text-container p { /* .text-container内の<p>タグにのみ適用 */
    text-align: left;
}
.right-align-text {
    text-align: right !important;
    padding-right: 20px !important;
}
/*代表理事画像入りTable end*/

/*組織図 start*/
.organization-chart-table {
    width: 100%;
    border-collapse: collapse;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    overflow: hidden;
    margin-bottom: 20px; /* テーブル間のスペースを追加 */
}

.organization-chart-table th,
.organization-chart-table td {
    padding: 12px 15px;
    text-align: left;
    border-bottom: 1px solid #eee;
}

.organization-chart-table th {
    background-color: #f2f2f2;
    font-weight: bold;
}

.organization-chart-table tr:hover {
    background-color: #f9f9f9;
    transition: background-color 0.3s ease;
}



/*組織図 start*/
/* 組織概要 画像ギャラリー (PC用) */
.organization-summary-gallery {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.organization-summary-item {
  width: 45%;
  text-align: center;
  margin-bottom: 20px;
}

.organization-summary-image {
  max-width: 100%;
  height: auto;
  cursor: pointer;
}

/* 組織概要 画像モーダル (PC用) */
#organization-summary-modal {
  display: none; /* 初期状態では非表示 */
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.9);
}

.organization-summary-modal-content {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 90%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.organization-summary-close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
  cursor: pointer;
}
/*組織図 end*/




/* 携帯用サイト (画面幅が767px以下) */
/* Media Queries */
@media (max-width: 767px) { /* 767px以下の場合 */
    .container {
        max-width: 100%;
    }

    .section-table {
        width: 100%;
    }

    /* メニューを横並びにする */
    .main-menu { /* 追加 */
        padding: 8px 0; /* 上下のパディングを小さくする */
    }

.main-menu ul {
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 350px; /* 例：500px に設定 */
}

    .main-menu li {
        margin: 0 5px;
        border-right: none;
        padding-right: 0;
		width: 20%; 
    }

    .main-menu a {
        font-size: 12px;
    }
	
	.main-menu li a {
        padding: 8px 16px; /* 例：上下8px、左右16pxに設定 */
    }

    .sub-menu {
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
       /* position: relative;*/
        /*top: 20px;*/
		margin-top: 20px; /* 追加 */
    }
	
	    .sub-menu ul {
        display: flex; /* Flexboxレイアウトを適用 */
        flex-wrap: wrap; /* 必要に応じて改行を許可 */
        justify-content: center; /* 要素を中央寄せにする */
        gap: 10px; /* 要素間の間隔を10pxに設定 */
    }

    .sub-menu li {
        margin: 0 2px;
    }

    .main-menu li a i { /* 追加 */
       display: none;  /* display: none; */
    }
	
	.sub-menu a {
		padding: 0 5px;
		font-size: 12px;
    }
	
/*携帯用代表理事画像入りTable start*/
    .organization-chart-table thead {
        display: none; /* 見出しを非表示 */
    }

    .organization-chart-table td {
        display: block;
        width: 100%;
        box-sizing: border-box;
    }

    .organization-chart-table td:before {
        content: attr(data-label);
        font-weight: bold;
        display: block;
        margin-bottom: 5px;
    }
/*携帯用代表理事画像入りTable end*/

/*携帯用　組織図 start*/
  .interactive-cell {
    display: flex;
    flex-direction: column; /* 縦並びにする */
    align-items: center; /* 中央揃えにする */
  }

  .image-container {
    width: 100%; /* 幅を100%にする */
    text-align: center; /* 中央揃えにする */
  }

.image-row {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.image-item {
    width: 100%;
    text-align: center;
    margin-bottom: 40px;
}

.image-item img {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
    transition: transform 0.3s ease;
    cursor: pointer; /* カーソルをポインターに変更 */
}

.image-item img:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.interactive-image {
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}



  .text-container {
    width: 100%; /* 幅を100%にする */
    padding-left: 0; /* 左側のパディングを削除 */
    text-align: center; /* 中央揃えにする */
  }

  .text-container p {
    text-align: left; /* 文章を左寄せにする */
  }

  .right-align-text {
    text-align: right !important; /* 右寄せにする */
    padding-right: 0 !important; /* 右側のパディングを削除 */
  }



/* 拡大表示用モーダル */
.modal {
    display: none; /* 初期状態では非表示 */
    position: fixed; /* 画面全体に固定 */
    z-index: 1; /* 最前面に表示 */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto; /* スクロール可能にする */
    background-color: rgba(0, 0, 0, 0.9); /* 背景を暗くする */
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 90%; /* 最大幅を指定 */
    max-height: 90%; /* 最大高さを指定 */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* 中央に配置 */
}

/*携帯用　組織図 start*/
  .organization-summary-gallery {
    flex-direction: column;
  }

  .organization-summary-item {
    width: 100%;
  }

  #organization-summary-modal {
    display: none !important; /* モーダルを非表示にする */
  }
/*携帯用　組織図 end*/

}

/* 768px以上の場合 */
@media (min-width: 768px) {
    .main-menu ul {
        justify-content: flex-end; /* PCでは右寄せ */
    }
}

/* About ページ用スタイル */
.about-title {
    text-align: left;
    font-weight: bold;
    margin-left: 50px;
}

/* tableのスタイル */
.section-table {
    display: grid; /* gridレイアウトを使用 */
    grid-template-columns: 1fr; /* 1列 */
}

.section-table tr {
    display: contents; /* tr要素をgridアイテムにしない */
}

.section-table td:first-child {
    background-color: navy; /* 背景色を紺色に */
    color: white; /* 文字色を白に */
    padding: 10px; /* パディングを追加 */
    text-align: left; /* 文字を左寄せに */
    font-weight: bold; /* 文字を太字に */
    font-size: 1.2em; /* 文字サイズを少し大きく */
    padding-left: 20px; /* 左側に余白を追加 */
}

.section-table td:not(:first-child) {
    padding: 20px; /* 他のセルにパディングを追加 */
}